| Home | Libraries | People | FAQ | More

###### string::find_first_not_of (1 of 2 overloads)

Find the first occurrence of any of the characters not within the string.

###### Synopsis

    std::size_t
    find_first_not_of(
        string_view sv,
        std::size_t pos = 0) const;

###### Description

Returns the index corrosponding to the first character of `{begin() + pos, end())` that is not within `sv` if it exists, and `npos` otherwise.

###### Complexity

Linear.

###### Return Value

The first occurrence of a character that is not within `sv` within the string starting at the index `pos`, or `npos` if none exists.

###### Parameters

Name | Description
--- | ---
`sv` | The characters to ignore.
`pos` | The index to start searching at. The default argument for this parameter is `0`.